{"docsConfig":{"theme":"mint","$schema":"https://mintlify.com/docs.json","name":"Aryn Documentation","description":"Aryn is an agentic unstructured data warehouse that enables deep analyitcs and seach on documents at scale.","colors":{"primary":"#417586","light":"#417586","dark":"#417586"},"logo":{"light":"https://mintcdn.com/aryn/NmC_FCDeIgvkLjlo/logo/aryn_logo_full.png?fit=max\u0026auto=format\u0026n=NmC_FCDeIgvkLjlo\u0026q=85\u0026s=a98c5e045ec1cf0148d9df24e5e6b97a","dark":"https://mintcdn.com/aryn/NmC_FCDeIgvkLjlo/logo/aryn_logo_full.png?fit=max\u0026auto=format\u0026n=NmC_FCDeIgvkLjlo\u0026q=85\u0026s=a98c5e045ec1cf0148d9df24e5e6b97a"},"favicon":"aryn_logo.png","background":{"decoration":"windows"},"navbar":{"links":[{"href":"mailto:info@aryn.ai","label":"Get Support"},{"href":"https://aryn.instatus.com/","label":"Status Page"}],"primary":{"type":"button","label":"Website","href":"https://www.aryn.ai/"}},"footer":{"socials":{"x":"https://x.com/ArynInc","github":"https://github.com/aryn-ai","linkedin":"https://www.linkedin.com/company/aryn-ai"}},"seo":{"indexing":"all"},"styling":{"latex":false},"navigation":{"global":{"anchors":[{"anchor":"Aryn Blog","icon":"newspaper","href":"https://www.aryn.ai/blog"},{"anchor":"Slack Community","icon":"slack","href":"https://join.slack.com/t/aryn-community/shared_invite/zt-36vhennsx-mN3UsqD6PT2vxVZxpqdHsw"},{"anchor":"Sycamore - Document ETL","icon":"bars-staggered","href":"https://github.com/aryn-ai/sycamore"}]},"pages":[]}},"deployment":{"deploymentMetadataValue":{"subdomain":"aryn","hasAudioNarration":false,"actualSubdomain":"aryn","customDomains":["docs.aryn.ai"],"gitSource":{"type":"github","owner":"aryn-ai","repo":"docs","deployBranch":"main","contentDirectory":"","isPrivate":false,"mountPath":"","label":""},"chroma":{"liveDeploymentHistoryId":"6a21f617a51a213e6e8ae6a0","collectionId":"ec9289d9-c22b-4193-b659-b8e5c72c5200","schemaVersion":"v2"},"feedback":{"thumbs":true,"edits":true,"issues":true},"entitlements":{"AI_CHAT":{"status":"ENABLED"},"WEB_MCP":{"status":"ENABLED"},"NARRATION":{"status":"ENABLED"}},"buildId":"6a21f617a51a213e6e8ae6a0:success","clientVersion":"0.0.4021","searchFilterCounts":[{"language":"default","tag":"DocParse","count":41},{"language":"default","tag":"Aryn Platform","count":32},{"language":"default","tag":"API Reference","count":29},{"language":"default","tag":"Deep Analytics (Preview)","count":12},{"language":"default","tag":"Tutorials","count":10},{"language":"default","tag":"Document","count":10},{"language":"default","tag":"DocSet","count":7},{"language":"default","tag":"Partition","count":5},{"language":"default","tag":"Querying Data","count":4},{"language":"default","tag":"Query","count":4}]},"assistantConfig":{"deflection":{"enabled":true,"email":"support@aryn.ai"}},"basePath":"","hasChatPermissions":true,"hasWebMcpPermissions":true,"toggles":[],"googleFontsInlined":false},"customCss":[],"page":{"pagePath":"api-reference/docset/create-docset","slug":"/api-reference/docset/create-docset","pageMetadata":{"title":"Create Docset","description":"Create a new DocSet.\n\nArgs:\n name (str): The name for the new DocSet\n\nReturns:\n DocSetMetadata: Metadata of the newly created DocSet","deprecated":null,"version":null,"openapi":"api-reference/endpoint/platform/openapi.json post /v1/storage/docsets","href":"/api-reference/docset/create-docset","autogeneratedByOpenApi":true,"hidden":false},"description":{"compiledSource":"\"use strict\";\nconst {Fragment: _Fragment, jsx: _jsx, jsxs: _jsxs} = arguments[0];\nconst {useMDXComponents: _provideComponents} = arguments[0];\nfunction _createMdxContent(props) {\n const _components = {\n p: \"p\",\n ..._provideComponents(),\n ...props.components\n };\n return _jsxs(_Fragment, {\n children: [_jsx(_components.p, {\n children: \"Create a new DocSet.\"\n }), \"\\n\", _jsx(_components.p, {\n children: \"Args:\\nname (str): The name for the new DocSet\"\n }), \"\\n\", _jsx(_components.p, {\n children: \"Returns:\\nDocSetMetadata: Metadata of the newly created DocSet\"\n })]\n });\n}\nfunction MDXContent(props = {}) {\n const {wrapper: MDXLayout} = {\n ..._provideComponents(),\n ...props.components\n };\n return MDXLayout ? _jsx(MDXLayout, {\n ...props,\n children: _jsx(_createMdxContent, {\n ...props\n })\n }) : _createMdxContent(props);\n}\nreturn {\n default: MDXContent\n};\n","frontmatter":{},"scope":{}},"pageType":"default","mdx":{"mdxSource":{"compiledSource":"\"use strict\";const{Fragment:_Fragment,jsx:_jsx}=arguments[0];const{useMDXComponents:_provideComponents}=arguments[0];function _createMdxContent(props){return _jsx(_Fragment,{})}function MDXContent(props={}){const{wrapper:MDXLayout}={..._provideComponents(),...props.components};return MDXLayout?_jsx(MDXLayout,{...props,children:_jsx(_createMdxContent,{...props})}):_createMdxContent(props)}return{default:MDXContent}","frontmatter":{},"scope":{"config":{},"pageMetadata":{"title":"Create Docset","description":"Create a new DocSet.\n\nArgs:\n name (str): The name for the new DocSet\n\nReturns:\n DocSetMetadata: Metadata of the newly created DocSet","deprecated":null,"version":null,"openapi":"api-reference/endpoint/platform/openapi.json post /v1/storage/docsets","href":"/api-reference/docset/create-docset","autogeneratedByOpenApi":true,"hidden":false}}},"mdxSourceWithNoJs":null},"mdxExtracts":{"tableOfContents":[],"codeExamples":{}},"jsLinks":[],"openApiReferenceData":{"operation":{"tags":["DocSet"],"summary":"Create Docset","description":"Create a new DocSet.\n\nArgs:\n name (str): The name for the new DocSet\n\nReturns:\n DocSetMetadata: Metadata of the newly created DocSet","operationId":"create_docset_v1_storage_docsets_post","security":["80819b32-158c-4e86-b3e3-e8a211f468c2"],"requestBody":"e1b812a7-f5a7-48e4-bd20-01e968bc56e0","responses":{"200":"bc358970-c565-4bc2-85e9-7786a008d5fc","404":"3ff29927-929c-48a5-9d4e-446774d0d9e9","422":"d15c0071-340c-4320-933f-74df34a9257f"},"method":"post","type":"path","servers":["8f578b92-3513-451f-b34a-fce1ad6f83c3","8f62d6ca-6607-41db-84eb-8ccfc3ac24ec","bf169c67-b51a-48cb-b7ce-eb33167cd490","5f7a6f84-8d3c-4d22-b2cd-dab551ecd408"],"path":"/v1/storage/docsets","baseUrlOptions":["https://api.aryn.cloud","https://api.aryn.ai","https://api.us.aryn.cloud","https://api.us.aryn.ai"],"title":"Create Docset","codeSamples":[],"requiredOnlyExamples":false,"requestExampleType":"generated","responseExampleType":"generated"},"dependencies":{"parameters":{},"requestBody":{"required":true,"content":{"application/json":{"schema":{"properties":{"name":{"type":"string","title":"Name","isRequired":true,"uniqueKey":"name","typeLabel":"string"},"properties":{"oneOf":[{"type":"object","title":"Properties","additionalProperties":{"oneOf":[{}],"uniqueKey":"properties.oneOf.0.additionalProperties","typeLabel":"any"},"uniqueKey":"properties.oneOf.0","typeLabel":"Properties · object"},{"type":"null","title":"Properties","uniqueKey":"properties.oneOf.1","typeLabel":"null"}],"uniqueKey":"properties","typeLabel":"Properties · object | null"},"schema":{"oneOf":[{"type":"object","title":"Schema","description":"Represents the schema of a DocSet.","required":["properties"],"properties":{"properties":{"items":{"properties":{"name":{"type":"string","title":"Name","description":"The name of the property.","isRequired":true,"uniqueKey":"schema.oneOf.0.properties.items.[INDEX].name","typeLabel":"string"},"field_type":{"type":"string","title":"Field Type","description":"The type of the field.","isRequired":true,"uniqueKey":"schema.oneOf.0.properties.items.[INDEX].field_type","typeLabel":"string"},"default":{"oneOf":[{"title":"Default","description":"The default value for the property.","uniqueKey":"schema.oneOf.0.properties.items.[INDEX].default.oneOf.0","typeLabel":"any"},{"type":"null","title":"Default","description":"The default value for the property.","uniqueKey":"schema.oneOf.0.properties.items.[INDEX].default.oneOf.1","typeLabel":"null"}],"uniqueKey":"schema.oneOf.0.properties.items.[INDEX].default","typeLabel":"any | null"},"description":{"oneOf":[{"type":"string","title":"Description","description":"A natural language description of the property.","uniqueKey":"schema.oneOf.0.properties.items.[INDEX].description.oneOf.0","typeLabel":"string"},{"type":"null","title":"Description","description":"A natural language description of the property.","uniqueKey":"schema.oneOf.0.properties.items.[INDEX].description.oneOf.1","typeLabel":"null"}],"uniqueKey":"schema.oneOf.0.properties.items.[INDEX].description","typeLabel":"string | null"},"examples":{"oneOf":[{"type":"array","items":{"oneOf":[{}],"uniqueKey":"schema.oneOf.0.properties.items.[INDEX].examples.oneOf.0.items.[INDEX]","typeLabel":"any"},"title":"Examples","description":"A list of example values for the property.","uniqueKey":"schema.oneOf.0.properties.items.[INDEX].examples.oneOf.0","typeLabel":"any[]"},{"type":"null","title":"Examples","description":"A list of example values for the property.","uniqueKey":"schema.oneOf.0.properties.items.[INDEX].examples.oneOf.1","typeLabel":"null"}],"uniqueKey":"schema.oneOf.0.properties.items.[INDEX].examples","typeLabel":"any[] | null"}},"type":"object","required":["name","field_type"],"title":"SchemaProperty","description":"Represents a field in a DocSet schema.","uniqueKey":"schema.oneOf.0.properties.items.[INDEX]","typeLabel":"SchemaProperty · object"},"type":"array","title":"Properties","description":"A list of properties belong to this schema.","isRequired":true,"uniqueKey":"schema.oneOf.0.properties","typeLabel":"SchemaProperty · object[]"}},"uniqueKey":"schema.oneOf.0","typeLabel":"Schema · object"},{"type":"null","uniqueKey":"schema.oneOf.1","typeLabel":"null"}],"uniqueKey":"schema","typeLabel":"Schema · object | null"},"prompts":{"oneOf":[{"type":"object","title":"Prompts","additionalProperties":{"type":"string","uniqueKey":"prompts.oneOf.0.additionalProperties","typeLabel":"string"},"uniqueKey":"prompts.oneOf.0","typeLabel":"Prompts · object"},{"type":"null","title":"Prompts","uniqueKey":"prompts.oneOf.1","typeLabel":"null"}],"uniqueKey":"prompts","typeLabel":"Prompts · object | null"}},"type":"object","required":["name"],"title":"Body_create_docset_v1_storage_docsets_post","uniqueKey":"","typeLabel":"Body_create_docset_v1_storage_docsets_post · object"},"examples":{"Example":{"title":"Example","value":{"name":"\u003cstring>","properties":{},"schema":{"properties":[{"name":"\u003cstring>","field_type":"\u003cstring>","default":"\u003cunknown>","description":"\u003cstring>","examples":["\u003cunknown>"]}]},"prompts":{}}}},"exampleType":"generated"}},"exampleType":"generated"},"responses":{"bc358970-c565-4bc2-85e9-7786a008d5fc":{"description":"Successful Response","content":{"application/json":{"schema":{"properties":{"account_id":{"type":"string","title":"Account Id","description":"The account id containing the DocSet.","isRequired":true,"uniqueKey":"account_id","typeLabel":"string"},"docset_id":{"type":"string","title":"Docset Id","description":"The unique id for the DocSet.","isRequired":true,"uniqueKey":"docset_id","typeLabel":"string"},"name":{"type":"string","title":"Name","description":"The name of the DocSet.","isRequired":true,"uniqueKey":"name","typeLabel":"string"},"created_at":{"type":"string","format":"date-time","title":"Created At","description":"The creation time of this DocSet.","isRequired":true,"uniqueKey":"created_at","typeLabel":"string\u003cdate-time>"},"readonly":{"type":"boolean","title":"Readonly","description":"Whether the DocSet is read-only.","isRequired":true,"uniqueKey":"readonly","typeLabel":"boolean"},"properties":{"oneOf":[{"type":"object","title":"Properties","description":"Additional properties for the DocSet.","additionalProperties":{"oneOf":[{}],"uniqueKey":"properties.oneOf.0.additionalProperties","typeLabel":"any"},"uniqueKey":"properties.oneOf.0","typeLabel":"Properties · object"},{"type":"null","title":"Properties","description":"Additional properties for the DocSet.","uniqueKey":"properties.oneOf.1","typeLabel":"null"}],"uniqueKey":"properties","typeLabel":"Properties · object | null"},"size":{"oneOf":[{"type":"integer","title":"Size","description":"The number of documents in the DocSet.","uniqueKey":"size.oneOf.0","typeLabel":"integer"},{"type":"null","title":"Size","description":"The number of documents in the DocSet.","uniqueKey":"size.oneOf.1","typeLabel":"null"}],"uniqueKey":"size","typeLabel":"integer | null"},"schema":{"oneOf":[{"type":"object","title":"Schema","description":"Represents the schema of a DocSet.","required":["properties"],"properties":{"properties":{"items":{"properties":{"name":{"type":"string","title":"Name","description":"The name of the property.","isRequired":true,"uniqueKey":"schema.oneOf.0.properties.items.[INDEX].name","typeLabel":"string"},"property_type":{"type":"string","title":"Property Type","description":"The type of the field.","isRequired":true,"uniqueKey":"schema.oneOf.0.properties.items.[INDEX].property_type","typeLabel":"string"},"default":{"oneOf":[{"title":"Default","description":"The default value for the property.","uniqueKey":"schema.oneOf.0.properties.items.[INDEX].default.oneOf.0","typeLabel":"any"},{"type":"null","title":"Default","description":"The default value for the property.","uniqueKey":"schema.oneOf.0.properties.items.[INDEX].default.oneOf.1","typeLabel":"null"}],"uniqueKey":"schema.oneOf.0.properties.items.[INDEX].default","typeLabel":"any | null"},"description":{"oneOf":[{"type":"string","title":"Description","description":"A natural language description of the property.","uniqueKey":"schema.oneOf.0.properties.items.[INDEX].description.oneOf.0","typeLabel":"string"},{"type":"null","title":"Description","description":"A natural language description of the property.","uniqueKey":"schema.oneOf.0.properties.items.[INDEX].description.oneOf.1","typeLabel":"null"}],"uniqueKey":"schema.oneOf.0.properties.items.[INDEX].description","typeLabel":"string | null"},"examples":{"oneOf":[{"type":"array","items":{"oneOf":[{}],"uniqueKey":"schema.oneOf.0.properties.items.[INDEX].examples.oneOf.0.items.[INDEX]","typeLabel":"any"},"title":"Examples","description":"A list of example values for the property.","uniqueKey":"schema.oneOf.0.properties.items.[INDEX].examples.oneOf.0","typeLabel":"any[]"},{"type":"null","title":"Examples","description":"A list of example values for the property.","uniqueKey":"schema.oneOf.0.properties.items.[INDEX].examples.oneOf.1","typeLabel":"null"}],"uniqueKey":"schema.oneOf.0.properties.items.[INDEX].examples","typeLabel":"any[] | null"}},"type":"object","required":["name","property_type"],"title":"SchemaProperty","description":"Represents a field in a DocSet schema.","uniqueKey":"schema.oneOf.0.properties.items.[INDEX]","typeLabel":"SchemaProperty · object"},"type":"array","title":"Properties","description":"A list of properties belong to this schema.","isRequired":true,"uniqueKey":"schema.oneOf.0.properties","typeLabel":"SchemaProperty · object[]"}},"uniqueKey":"schema.oneOf.0","typeLabel":"Schema · object"},{"type":"null","uniqueKey":"schema.oneOf.1","typeLabel":"null"}],"uniqueKey":"schema","typeLabel":"Schema · object | null"},"prompts":{"additionalProperties":{"type":"string","uniqueKey":"prompts.additionalProperties","typeLabel":"string"},"propertyNames":{"$ref":"#/components/schemas/PromptType"},"type":"object","title":"Prompts","description":"The prompts associated with this DocSet.","default":{},"uniqueKey":"prompts","typeLabel":"Prompts · object"}},"type":"object","required":["account_id","docset_id","name","created_at","readonly"],"title":"DocSetMetadata","uniqueKey":"","typeLabel":"DocSetMetadata · object"},"examples":{"Example":{"title":"Example","value":{"account_id":"\u003cstring>","docset_id":"\u003cstring>","name":"\u003cstring>","created_at":"2023-11-07T05:31:56Z","readonly":true,"properties":{},"size":123,"schema":{"properties":[{"name":"\u003cstring>","property_type":"\u003cstring>","default":"\u003cunknown>","description":"\u003cstring>","examples":["\u003cunknown>"]}]},"prompts":{}}}},"exampleType":"generated"}},"exampleType":"generated"},"3ff29927-929c-48a5-9d4e-446774d0d9e9":{"description":"Not found","content":{"_mintlify/placeholder":{"schema":{"type":"object","description":""}}}},"d15c0071-340c-4320-933f-74df34a9257f":{"description":"Validation Error","content":{"application/json":{"schema":{"properties":{"detail":{"items":{"properties":{"loc":{"items":{"oneOf":[{"type":"string","uniqueKey":"detail.items.[INDEX].loc.items.[INDEX].oneOf.0","typeLabel":"string"},{"type":"integer","uniqueKey":"detail.items.[INDEX].loc.items.[INDEX].oneOf.1","typeLabel":"integer"}],"uniqueKey":"detail.items.[INDEX].loc.items.[INDEX]","typeLabel":"string | integer"},"type":"array","title":"Location","isRequired":true,"uniqueKey":"detail.items.[INDEX].loc","typeLabel":"(string | integer)[]"},"msg":{"type":"string","title":"Message","isRequired":true,"uniqueKey":"detail.items.[INDEX].msg","typeLabel":"string"},"type":{"type":"string","title":"Error Type","isRequired":true,"uniqueKey":"detail.items.[INDEX].type","typeLabel":"string"}},"type":"object","required":["loc","msg","type"],"title":"ValidationError","uniqueKey":"detail.items.[INDEX]","typeLabel":"ValidationError · object"},"type":"array","title":"Detail","uniqueKey":"detail","typeLabel":"ValidationError · object[]"}},"type":"object","title":"HTTPValidationError","uniqueKey":"","typeLabel":"HTTPValidationError · object"},"examples":{"Example":{"title":"Example","value":{"detail":[{"loc":["\u003cstring>"],"msg":"\u003cstring>","type":"\u003cstring>"}]}}},"exampleType":"generated"}},"exampleType":"generated"}},"security":{"80819b32-158c-4e86-b3e3-e8a211f468c2":{"HTTPBearer":{"type":"http","scheme":"bearer","scopes":[]}}},"servers":{"8f578b92-3513-451f-b34a-fce1ad6f83c3":{"url":"https://api.aryn.cloud","description":"US Region"},"8f62d6ca-6607-41db-84eb-8ccfc3ac24ec":{"url":"https://api.aryn.ai","description":"US Region"},"bf169c67-b51a-48cb-b7ce-eb33167cd490":{"url":"https://api.us.aryn.cloud","description":"US Region"},"5f7a6f84-8d3c-4d22-b2cd-dab551ecd408":{"url":"https://api.us.aryn.ai","description":"US Region"}},"processedSecurityOptions":[{"schemes":[{"scheme":{"type":"http","scheme":"bearer","scopes":[]},"schema":{"title":"Bearer Auth","type":"string","isRequired":true,"description":"Bearer authentication header of the form `Bearer \u003ctoken>`, where `\u003ctoken>` is your auth token.","format":"bearer","typeLabel":"string\u003cbearer>","deprecated":false},"schemeName":"HTTPBearer","name":"Authorization"}],"title":"HTTPBearer"}]},"originalFileLocation":"api-reference/endpoint/platform/openapi.json"},"subdomain":"aryn","siteName":"Aryn Documentation","title":"Create Docset - Aryn Documentation","navMaps":{"firstHrefInVersion":{},"firstHrefInLanguage":{}},"lastModified":"2025-12-10T22:09:50.224Z","originalFileLocation":"api-reference/docset/create-docset.mdx"},"headHtml":"\u003cscript data-mint-head>(function(){var d=document.documentElement,p=null;if(!p){try{p=localStorage.getItem(\"isDarkMode\")}catch(e){}if(p==='true')p='dark';else if(p==='false')p='light';if(p!=='light'\u0026\u0026p!=='dark'\u0026\u0026p!=='system')p=\"system\"}var r=p==='system'?(matchMedia(\"(prefers-color-scheme: dark)\").matches?'dark':'light'):p;d.classList.remove(r==='dark'?'light':'dark');d.classList.add(r);d.setAttribute(\"data-theme-preference\",p)})();\u003c/script>\u003cmeta data-mint-head name=\"description\" content=\"Create a new DocSet. Args: name (str): The name for the new DocSet Returns: DocSetMetadata: Metadata of the newly created DocSet\">\u003cmeta data-mint-head name=\"application-name\" content=\"Aryn Documentation\">\u003cmeta data-mint-head name=\"generator\" content=\"Mintlify\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/aryn/w2LZ1a3vrOj9YzXF/_generated/favicon/android-chrome-192x192.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"apple-touch-icon\" type=\"image/png\" sizes=\"180x180\" href=\"/mintlify-assets/_mintlify/favicons/aryn/w2LZ1a3vrOj9YzXF/_generated/favicon/apple-touch-icon.png\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/aryn/w2LZ1a3vrOj9YzXF/_generated/favicon/favicon-16x16.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/aryn/w2LZ1a3vrOj9YzXF/_generated/favicon/favicon-32x32.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/aryn/w2LZ1a3vrOj9YzXF/_generated/favicon/favicon.ico\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/aryn/w2LZ1a3vrOj9YzXF/_generated/favicon-dark/android-chrome-192x192.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/aryn/w2LZ1a3vrOj9YzXF/_generated/favicon-dark/favicon-16x16.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/aryn/w2LZ1a3vrOj9YzXF/_generated/favicon-dark/favicon-32x32.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/aryn/w2LZ1a3vrOj9YzXF/_generated/favicon-dark/favicon.ico\" media=\"(prefers-color-scheme: dark)\">\u003cmeta data-mint-head property=\"og:title\" content=\"Create Docset - Aryn Documentation\">\u003cmeta data-mint-head property=\"og:description\" content=\"Create a new DocSet. Args: name (str): The name for the new DocSet Returns: DocSetMetadata: Metadata of the newly created DocSet\">\u003cmeta data-mint-head property=\"og:site_name\" content=\"Aryn Documentation\">\u003cmeta data-mint-head property=\"og:url\" content=\"https://docs.aryn.ai/api-reference/docset/create-docset\">\u003cmeta data-mint-head property=\"og:type\" content=\"website\">\u003cmeta data-mint-head property=\"og:image\" content=\"https://aryn.mintlify.app/_mintlify/api/og/v2?division=DocSet\u0026amp;title=Create+Docset\u0026amp;description=Create+a+new+DocSet.%0A%0AArgs%3A%0A++++name+%28str%29%3A+The+name+for+the+new+DocSet%0A%0AReturns%3A%0A++++DocSetMetadata%3A+Metadata+of+the+newly+created+DocSet\u0026amp;theme=be158e76b417b7e99b2d8f02\u0026amp;signature=b58171463814179ad271f6e61acef462d130a8b36cbd4dc3857d0f42b30a7fc2\">\u003cmeta data-mint-head property=\"og:image:width\" content=\"1200\">\u003cmeta data-mint-head property=\"og:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"twitter:card\" content=\"summary_large_image\">\u003cmeta data-mint-head name=\"twitter:title\" content=\"Create Docset - Aryn Documentation\">\u003cmeta data-mint-head name=\"twitter:description\" content=\"Create a new DocSet. Args: name (str): The name for the new DocSet Returns: DocSetMetadata: Metadata of the newly created DocSet\">\u003cmeta data-mint-head name=\"twitter:image\" content=\"https://aryn.mintlify.app/_mintlify/api/og/v2?division=DocSet\u0026amp;title=Create+Docset\u0026amp;description=Create+a+new+DocSet.%0A%0AArgs%3A%0A++++name+%28str%29%3A+The+name+for+the+new+DocSet%0A%0AReturns%3A%0A++++DocSetMetadata%3A+Metadata+of+the+newly+created+DocSet\u0026amp;theme=be158e76b417b7e99b2d8f02\u0026amp;signature=b58171463814179ad271f6e61acef462d130a8b36cbd4dc3857d0f42b30a7fc2\">\u003cmeta data-mint-head name=\"twitter:image:width\" content=\"1200\">\u003cmeta data-mint-head name=\"twitter:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"msapplication-config\" content=\"/mintlify-assets/_mintlify/favicons/aryn/w2LZ1a3vrOj9YzXF/_generated/favicon/browserconfig.xml\">\u003cmeta data-mint-head name=\"apple-mobile-web-app-title\" content=\"Aryn Documentation\">\u003cmeta data-mint-head name=\"msapplication-TileColor\" content=\"#417586\">\u003clink data-mint-head rel=\"canonical\" href=\"https://docs.aryn.ai/api-reference/docset/create-docset\">\u003clink data-mint-head rel=\"alternate\" type=\"application/xml\" href=\"/sitemap.xml\">\u003clink data-mint-head rel=\"alternate\" type=\"text/markdown\" href=\"/api-reference/docset/create-docset.md\">\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@graph\":[{\"@type\":\"Organization\",\"@id\":\"https://docs.aryn.ai/#organization\",\"name\":\"Aryn Documentation\",\"url\":\"https://docs.aryn.ai\",\"logo\":{\"@type\":\"ImageObject\",\"url\":\"https://mintcdn.com/aryn/NmC_FCDeIgvkLjlo/logo/aryn_logo_full.png?fit=max\u0026auto=format\u0026n=NmC_FCDeIgvkLjlo\u0026q=85\u0026s=a98c5e045ec1cf0148d9df24e5e6b97a\"}},{\"@type\":\"WebSite\",\"@id\":\"https://docs.aryn.ai#website\",\"name\":\"Aryn Documentation\",\"url\":\"https://docs.aryn.ai\",\"publisher\":{\"@id\":\"https://docs.aryn.ai/#organization\"}},{\"@type\":\"WebPage\",\"@id\":\"https://docs.aryn.ai/api-reference/docset/create-docset#webpage\",\"url\":\"https://docs.aryn.ai/api-reference/docset/create-docset\",\"name\":\"Create Docset\",\"description\":\"Create a new DocSet. Args: name (str): The name for the new DocSet Returns: DocSetMetadata: Metadata of the newly created DocSet\",\"dateModified\":\"2025-12-10T22:09:50.224Z\",\"isPartOf\":{\"@id\":\"https://docs.aryn.ai#website\"},\"breadcrumb\":{\"@id\":\"https://docs.aryn.ai/api-reference/docset/create-docset#breadcrumb\"}},{\"@type\":\"BreadcrumbList\",\"@id\":\"https://docs.aryn.ai/api-reference/docset/create-docset#breadcrumb\",\"itemListElement\":[{\"@type\":\"ListItem\",\"position\":1,\"name\":\"Aryn Platform\",\"item\":\"https://docs.aryn.ai/api-reference/document/list-docs\"},{\"@type\":\"ListItem\",\"position\":2,\"name\":\"DocSet\",\"item\":\"https://docs.aryn.ai/api-reference/docset/list-docsets\"},{\"@type\":\"ListItem\",\"position\":3,\"name\":\"Create Docset\",\"item\":\"https://docs.aryn.ai/api-reference/docset/create-docset\"}]},{\"@type\":[\"TechArticle\",\"APIReference\"],\"@id\":\"https://docs.aryn.ai/api-reference/docset/create-docset#apireference\",\"headline\":\"Create Docset\",\"name\":\"Create Docset\",\"description\":\"Create a new DocSet. Args: name (str): The name for the new DocSet Returns: DocSetMetadata: Metadata of the newly created DocSet\",\"url\":\"https://docs.aryn.ai/api-reference/docset/create-docset\",\"mainEntityOfPage\":{\"@id\":\"https://docs.aryn.ai/api-reference/docset/create-docset#webpage\"},\"dateModified\":\"2025-12-10T22:09:50.224Z\",\"publisher\":{\"@id\":\"https://docs.aryn.ai/#organization\"},\"isPartOf\":{\"@id\":\"https://docs.aryn.ai#website\"}}]}\u003c/script>\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@type\":\"WebSite\",\"name\":\"Aryn Documentation\",\"creator\":{\"@type\":\"Organization\",\"name\":\"Mintlify\",\"url\":\"https://mintlify.com\"}}\u003c/script>","siteName":"Aryn Documentation","nav":{"global":{"anchors":[{"anchor":"Aryn Blog","icon":"newspaper","href":"https://www.aryn.ai/blog"},{"anchor":"Slack Community","icon":"slack","href":"https://join.slack.com/t/aryn-community/shared_invite/zt-36vhennsx-mN3UsqD6PT2vxVZxpqdHsw"},{"anchor":"Sycamore - Document ETL","icon":"bars-staggered","href":"https://github.com/aryn-ai/sycamore"}]},"tabs":[{"tab":"DocParse","pages":[{"title":"DocParse","href":"/docparse/introduction"}]},{"tab":"Deep Analytics (Preview)","pages":[{"title":"Deep Analytics (Preview)","href":"/introduction"}]},{"tab":"SDK Reference","pages":[{"title":"SDK Reference","href":"/sdk-reference/partition"}]},{"tab":"API Reference","groups":[{"group":"API Documentation","pages":[{"title":"Introduction","href":"/api-reference/introduction"}]},{"group":"DocParse","pages":[{"group":"Partition","pages":[{"title":"Partition Document","deprecated":null,"version":null,"openapi":"api-reference/endpoint/docparse/openapi.json post /v1/document/partition","href":"/api-reference/partition/partition-document"},{"title":"Submit Document for Async Partitioning","deprecated":null,"version":null,"openapi":"api-reference/endpoint/docparse/openapi.json post /v1/async/submit/document/partition","href":"/api-reference/partition/submit-document-for-async-partitioning"},{"title":"Get Async Task Status","deprecated":null,"version":null,"openapi":"api-reference/endpoint/docparse/openapi.json get /v1/async/result/{task_id}","href":"/api-reference/partition/get-async-task-status"},{"title":"Cancel Async Task","deprecated":null,"version":null,"openapi":"api-reference/endpoint/docparse/openapi.json post /v1/async/cancel/{task_id}","href":"/api-reference/partition/cancel-async-task"},{"title":"List Async Tasks","deprecated":null,"version":null,"openapi":"api-reference/endpoint/docparse/openapi.json get /v1/async/list","href":"/api-reference/partition/list-async-tasks"}]}]},{"group":"Aryn Platform","pages":[{"group":"Document","pages":[{"title":"List Docs","deprecated":null,"version":null,"openapi":"api-reference/endpoint/platform/openapi.json get /v1/storage/docsets/{docset_id}/docs","href":"/api-reference/document/list-docs"},{"title":"Add Doc","deprecated":null,"version":null,"openapi":"api-reference/endpoint/platform/openapi.json post /v1/storage/docsets/{docset_id}/docs","href":"/api-reference/document/add-doc"},{"title":"Submit Document for Async Add Doc","deprecated":null,"version":null,"openapi":"api-reference/endpoint/platform/openapi.json post /v1/async/submit/storage/docsets/{docset_id}/docs","href":"/api-reference/document/submit-document-for-async-add-doc"},{"title":"Get Async Task Status","deprecated":null,"version":null,"openapi":"api-reference/endpoint/platform/openapi.json get /v1/async/result/{task_id}","href":"/api-reference/document/get-async-task-status"},{"title":"Cancel Async Task for Add Doc","deprecated":null,"version":null,"openapi":"api-reference/endpoint/platform/openapi.json post /v1/async/cancel/{task_id}","href":"/api-reference/document/cancel-async-task-for-add-doc"},{"title":"List Async Tasks for Add Doc","deprecated":null,"version":null,"openapi":"api-reference/endpoint/platform/openapi.json get /v1/async/list","href":"/api-reference/document/list-async-tasks-for-add-doc"},{"title":"Get Doc","deprecated":null,"version":null,"openapi":"api-reference/endpoint/platform/openapi.json get /v1/storage/docsets/{docset_id}/docs/{doc_id}","href":"/api-reference/document/get-doc"},{"title":"Delete Doc","deprecated":null,"version":null,"openapi":"api-reference/endpoint/platform/openapi.json delete /v1/storage/docsets/{docset_id}/docs/{doc_id}","href":"/api-reference/document/delete-doc"},{"title":"Update Doc Properties","deprecated":null,"version":null,"openapi":"api-reference/endpoint/platform/openapi.json patch /v1/storage/docsets/{docset_id}/docs/{doc_id}/properties","href":"/api-reference/document/update-doc-properties"},{"title":"Get Doc Binary","deprecated":null,"version":null,"openapi":"api-reference/endpoint/platform/openapi.json get /v1/storage/docsets/{docset_id}/docs/{doc_id}/binary","href":"/api-reference/document/get-doc-binary"}]},{"group":"DocSet","pages":[{"title":"List Docsets","description":"List all DocSets in the system.\n\nReturns:\n list[DocSetMetadata]: A list of DocSet metadata objects\n\nNote:\n Will be paginated in v2","deprecated":null,"version":null,"openapi":"api-reference/endpoint/platform/openapi.json get /v1/storage/docsets","href":"/api-reference/docset/list-docsets"},{"title":"Create Docset","deprecated":null,"version":null,"openapi":"api-reference/endpoint/platform/openapi.json post /v1/storage/docsets","href":"/api-reference/docset/create-docset"},{"title":"Get Docset","description":"Get metadata for a specific DocSet.\n\nArgs:\n docset_id (str): The unique identifier of the DocSet\n\nReturns:\n DocSetMetadata: Metadata object containing DocSet information","deprecated":null,"version":null,"openapi":"api-reference/endpoint/platform/openapi.json get /v1/storage/docsets/{docset_id}","href":"/api-reference/docset/get-docset"},{"title":"Delete Docset","deprecated":null,"version":null,"openapi":"api-reference/endpoint/platform/openapi.json delete /v1/storage/docsets/{docset_id}","href":"/api-reference/docset/delete-docset"},{"title":"Update Docset","deprecated":null,"version":null,"openapi":"api-reference/endpoint/platform/openapi.json patch /v1/storage/docsets/{docset_id}","href":"/api-reference/docset/update-docset"},{"title":"Clone Docset","deprecated":null,"version":null,"openapi":"api-reference/endpoint/platform/openapi.json post /v1/storage/docsets/{docset_id}/clone","href":"/api-reference/docset/clone-docset"},{"title":"Set Readonly Docset","deprecated":null,"version":null,"openapi":"api-reference/endpoint/platform/openapi.json post /v1/storage/docsets/{docset_id}/readonly/{value}","href":"/api-reference/docset/set-readonly-docset"}]},{"group":"Query","pages":[{"title":"Generate Plan","deprecated":null,"version":null,"openapi":"api-reference/endpoint/platform/openapi.json post /v1/query/plan","href":"/api-reference/query/generate-plan"},{"title":"Edit Plan","deprecated":null,"version":null,"openapi":"api-reference/endpoint/platform/openapi.json patch /v1/query/plan","href":"/api-reference/query/edit-plan"},{"title":"Run Query","deprecated":null,"version":null,"openapi":"api-reference/endpoint/platform/openapi.json post /v1/query","href":"/api-reference/query/run-query"},{"title":"Search","deprecated":null,"version":null,"openapi":"api-reference/endpoint/platform/openapi.json post /v1/query/search/{docset_id}","href":"/api-reference/query/search"}]},{"group":"Transform","pages":[{"title":"Extract Properties","deprecated":null,"version":null,"openapi":"api-reference/endpoint/platform/openapi.json post /v1/jobs/extract-properties","href":"/api-reference/transform/extract-properties"},{"title":"Delete Properties","deprecated":null,"version":null,"openapi":"api-reference/endpoint/platform/openapi.json post /v1/jobs/delete-properties","href":"/api-reference/transform/delete-properties"}]}]}]},{"tab":"Recipes","pages":[{"title":"Recipes","href":"/example-code/introduction"}]},{"tab":"Release Notes","pages":[{"title":"Release Notes","href":"/release_notes"}]},{"tab":"Model Context Protocol (MCP) Server","pages":[{"title":"Model Context Protocol (MCP) Server","href":"/mcp-server/aryn_mcp"}]}]},"title":"Create Docset - Aryn Documentation","buildId":"dpl_EnxDqhjaNc9a8MVa833TGULPd9uJ","deploymentId":"dpl_EnxDqhjaNc9a8MVa833TGULPd9uJ","dynamics":["c2aa737661","2b790eda92","b0f84f53ff","a9bb46feb3"],"chunks":["OpenApiReferenceProvider-26-lDe7V.js","utils-CWQmgYtH.js","cloneDeep-izs3Hzxb.js","_Uint8Array-BVIqJ90l.js","isObjectLike-C8vmzPEN.js","isArray-Dcu1dQ5t.js","utils-4-Aw3rSD.js","toString-BX-iyh8G.js","isSymbol-CSH9U2Gm.js","addUniqueKeysToSchema-C2zjXYA5.js","snippetPresets-DFmpFA7C.js","style-to-object-BY3JEAdk.js","v4-DIgz8zy6.js","ApiExamples-FJpQavWq.js","isEqual-BfaiBbcl.js","usePlaygroundInputsStore-D_GvPF7k.js","shallow-Bs2ZB0NO.js","getApiPlaygroundDisplay-DCcqJJk-.js","CodeSnippet-DzDxawVe.js","CodeSnippets-aUr7fU-7.js","Page-CT9uE8Ip.js","getPastedJson-Y1fKsj_I.js","icon-DI4zTsDr.js","MethodPill-C0nDlmSQ.js","DuplicateIcon-NUXbx2nQ.js","createIcon-BdTHrPAi.js","DynamicMarkdown-CtpgKJwj.js","SectionHeading-B3x35tOt.js","axios-vUo_bRtp.js","Markdown-3OmurJMP.js","clsx-DMKzROTp.js","lib-DuNMoZ05.js","lib-B8HbPgcC.js","html-void-elements-mCSPHezU.js","dist-1ms6tsT-.js","katex-YMM-FMeD.js","marked.esm-CZWythHk.js","AssistantPageLink-Ke9xIMFx.js"]}